@font-face { font-family: 'medium'; src: url('./fonts/ploni-medium-aaa.otf') format('opentype'); }
@font-face { font-family: 'light'; src: url('./fonts/ploni-light-aaa.otf') format('opentype'); }
@font-face { font-family: 'bold'; src: url('./fonts/ploni-bold-aaa.otf') format('opentype'); }
@font-face { font-family: 'demibold'; src: url('./fonts/ploni-demibold-aaa.otf') format('opentype'); }

* { padding: 0; margin: 0; box-sizing: border-box; }
html { font-size: 18px; }
.main {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: 'medium','sans-serif';
    line-height: 1.3;
    font-size: 18px;
    color: #113f6d;
}
.header {
    background-image: url('./images/mobile-bg.jpg');
    background-size: 100% 100%;
    width: 100%;
    aspect-ratio: 640 / 440;
    position: relative;
}
.logo {
    width: 30%;
    position: absolute;
    top: 0.75rem;
    left: 0.5rem;
}
.form-container {
    width: 100%;
    padding: 1rem;
}
.form {
    width: 100%;
    background-color: #05454f; 
    border-radius: 0.5rem;
    color: white;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1.5rem;
    text-align: center;
}
.form-title {
    font-family: 'bold','sans-serif';
    font-size: 1.25rem;
}
.input {
    width: 100%;
    font-size: 1rem;
    font-family: 'medium','sans-serif';
    padding: 0.25rem 1rem;
    border-radius: 0.5rem;
    border: none;
    background: white;
}
.phone-container {
    display: flex;
    gap: 0.5rem;
}
.country-code {
    display: flex;
    width: 7rem;
}
.submit {
    font-size: 1rem;
    font-family: 'bold','sans-serif';
    padding: 0.25rem 0.5rem;
    border-radius: 0.5rem;
    border: none;
    background: white;
    color: #05454f;
    cursor: pointer;
}
.content {
    width: 100%;
    max-width: 40rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.titles {
    line-height: 1.2;
}
.title1 {
    font-family: 'bold','sans-serif';
    font-size: 2rem;
    color: #028cbc;
}
.title2 {
    font-family: 'demibold','sans-serif';
    color: #003a5c;
    font-size: 1.5rem;
}
.text2 {
    font-family: 'bold','sans-serif';
    color: #028cbc;
}
.list1 {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
}
.list1-item {
    display: flex;
    gap: 0.75rem;
    align-items: flex-start;
}
.list1-item p {
    padding: 0.2rem 0;
}
.list1-item img {
    width: 1.75rem;
}
.list2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.list2-item {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    padding: 1rem;
    align-items: center;
    text-align: center;
}
.list2-item img {
    width: 3rem;
}
.error { outline: tomato 1px solid; }
.error::placeholder { color: tomato; }

@media (min-width: 768px) {
    .main {
        position: relative;
        display: grid;
        grid-template-columns: 1fr auto 1fr;
        grid-template-rows: auto auto;
    }
    .header {
        grid-row: 1;
        grid-column: 1 / span 3;
        background-image: url('./images/desktop-bg.jpg');
        aspect-ratio: 1920 / 600;
    }
    .logo {
        width: 10%;
        top: unset;
        left: unset;
        right: 14%;
        bottom: 10%;
    }
    .form-container {
        grid-row: 1 / 3;
        grid-column: 1;
        position: relative;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
    }
    .form {
        align-self: center;
        max-width: 20rem;
        min-width: 13rem;
        position: sticky;
        top: 50%;
        right: 0;
        transform: translateY(-50%);
    }
    .content {
        grid-column: 2;
        grid-row: 2;
        width: 100%;
        min-width: 20rem;
        padding: 1rem;
        gap: 1rem;
    }  
    .title1 {
        font-size: 3rem;   
    }
    .title2 {
        font-size: 2.2rem;
    }
    .list1-item {
        gap: 1rem;
    }
    .list1-item img {
        width: 1.75rem;
    }
    .list2-item {
        padding: 1rem 3rem;
    }
    .list2-item img {
        width: 3rem;
    }
}